> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1viewer



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json get /api/v1/Viewer
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer:
    get:
      tags:
        - Viewer
      operationId: Viewer_Get
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewersResult'
components:
  schemas:
    GetViewersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Viewers:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Viewer3'
            TotalItems:
              type: integer
              format: int64
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Viewer3:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Online:
          type: boolean
        Parents:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ViewerParent'
        HardwareId:
          type: string
          nullable: true
        MacAddress:
          type: string
          nullable: true
        LastConnected:
          type: string
          format: date-time
          nullable: true
        Password:
          type: string
          nullable: true
        ConnectedSince:
          type: string
          format: date-time
          nullable: true
        ViewerSessionId:
          type: string
          nullable: true
        ServerName:
          type: string
          nullable: true
        IpAddress:
          type: string
          nullable: true
        License:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
        Permissions:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    ViewerParent:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
    LicenseType:
      type: object
      additionalProperties: false
      properties:
        ID:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ApplicationType:
          type: string
          nullable: true
        Total:
          type: integer
        Used:
          type: integer
        IsDemo:
          type: boolean
        ValidFrom:
          type: string
          format: date-time
          nullable: true
        ValidUntil:
          type: string
          format: date-time
          nullable: true
        Restricted:
          type: boolean
        Elements:
          type: array
          nullable: true
          items:
            type: string

````